static void Wily3Ascii(Screen& s)
{
    GenericAsciiMaker(s,
// void
-1,'.', 0x00,0,
// ground
-1,'#', 0x60,3, // ground
        0x61,0, // horizontal edge
        0x69,0, // junction
        0x68,0, // vertical edge
-1,'-', 0x2D,1, // horiz shadow
        0x2E,1, // horiz bg
        0x2F,1, // horiz bottom
-1,'=', 0x2D,2,
        0x2E,2,
        0x2F,2, // same in blue
-1,'|', 0x22,1, // vertical topleft shadow
        0x23,1, // vertical top shadow
        0x24,1, // vertical topright shadow
        0x2A,1, // vertical left edge
        0x2B,1, // vertical bg
        0x2C,1, // vertical right edge
-1,'!', 0x22,2,
        0x23,2,
        0x24,2,
        0x2A,2,
        0x2B,2,
        0x2C,2, // same in blue
-1,'G', 0x38,0,0x39,0,
        0x3A,0,0x3B,0, // gutsblock
-2);
}

#define Wily3Char  DummyChar

static Level Wily3 =
{
	8, // level number
	"Wily3",

	// screens:
	{
		{
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"----------||||##"   "        c       "
		"----------||||##"   "                "
		"----------||||##"   "                "
		"----------||||##"   "                "
		"----------||||##"   "                "
		"----------||||##"   "         c      "
		"##########||||##"   "          h     "
		"##########||||##"   "                "
		"##########||||##"   "                "
		"##########||||##"   "                "
		,Down},
		{
		"##########||||##"   "                "
		"##########||||##"   "                "
		"##########||||##"   "                "
		"##########||||##"   "                "
		"##########||####"   "                "
		"##########||||##"   "                "
		"##||||----||||##"   "     .          "
		"##||||----||||##"   "                "
		"##||||----||||##"   "                "
		"##||||----||||##"   "                "
		"##||||----||||##"   "                "
		"##||||----||||##"   "  h             "
		"##||||##########"   "     h          "
		"##||||##########"   "  h             "
		"##||||##########"   "                "
		"##||||##########"   "                "
		,Down},
		{
		"##||||##########"   "                "
		"##||||##########"   "                "
		"##||||##########"   "                "
		"##||||##########"   "                "
		"##||||##########"   "                "
		"####||##########"   "                "
		"##||||----||||##"   "          .     "
		"##||||----||||##"   "                "
		"##||||----||||##"   "                "
		"##||||----||||##"   "                "
		"##||||----||||##"   "             h  "
		"##||||----||||##"   "             h  "
		"##########||||##"   "          h     "
		"##########||||##"   "                "
		"##########||||##"   "                "
		"##########||||##"   "                "
		,Down},
		{
		"##########||||##"   "                "
		"##########||||##"   "                "
		"##########||||##"   "                "
		"##########||||##"   "                "
		"##########||####"   "                "
		"##########||||##"   "             .  "
		"##||||----||||##"   "         .      "
		"##||||----||||##"   "                "
		"##||||----||||##"   "                "
		"##||||----||||##"   "                "
		"##||||----||||##"   "                "
		"##||||----||||##"   "                "
		"##||||##########"   "   h            "
		"##||||##########"   "  h             "
		"##||||##########"   "     h          "
		"##||||##########"   "                "
		,Down},
		{
		"##||||##########"   "                "
		"##||||##########"   "                "
		"##||||##########"   "                "
		"##||||##########"   "                "
		"##||||##########"   "                "
		"##||||##########"   "                "
		"##||||----------"   "                "
		"##||||----------"   "                "
		"##||||----------"   "                "
		"##||||----------"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		,Right},
		{
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"----------------"   "                "
		"----------------"   "                "
		"----------------"   "                "
		"----------------"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		,Right},
		{
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"================"   "                "
		"================"   "                "
		"================"   "                "
		"================"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		,Right},
		{
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"================"   "                "
		"================"   "                "
		"================"   "                "
		"================"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		,Right},
		{
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"================"   "                "
		"================"   "                "
		"================"   "i               "
		"================"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		,Right},
		{
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"================"   "                "
		"================"   "                "
		"================"   "                "
		"================"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		,Right},
		{
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"================"   "                "
		"================"   "                "
		"================"   "                "
		"================"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		,Right},
		{
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"================"   "                "
		"================"   "                "
		"================"   "                "
		"================"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		,Right},
		{
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"================"   "                "
		"================"   "                "
		"================"   "                "
		"================"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "              i "
		,Right},
		{
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"================"   "                "
		"================"   "                "
		"================"   "                "
		"================"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		,Right},
		{
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"================"   "                "
		"================"   "                "
		"================"   "                "
		"================"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		,Right},
		{
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"================"   "                "
		"================"   "                "
		"================"   "                "
		"================"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		,Right},
		{
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"================"   "                "
		"================"   "                "
		"================"   "s               "
		"================"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		,Right},
		{
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"================"   "                "
		"================"   "                "
		"================"   "                "
		"================"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		,Right},
		{
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"================"   "                "
		"================"   "                "
		"================"   "                "
		"================"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		,Right},
		{
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"================"   "                "
		"================"   "                "
		"================"   "                "
		"================"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		,Right},
		{
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"================"   "                "
		"================"   "                "
		"================"   "                "
		"================"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		,Right},
		{
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"================"   "                "
		"================"   "                "
		"================"   "                "
		"================"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		,Right},
		{
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"######========##"   "                "
		"######========##"   "                "
		"==============##"   "                "
		"==============##"   "                "
		"==============##"   "                "
		"==============##"   "                "
		"######=========="   "                "
		"######=========="   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		,Shutter},
		{
		"#######..#######"   "                "
		"#######..#######"   "                "
		"#==============#"   "                "
		"#==============#"   "                "
		"#==============#"   "                "
		"#==============#"   "                "
		".==============."   "X               "
		".==============."   "X               "
		"#=======GG=====#"   "X               "
		"#=======GG=====#"   "X               "
		"======GGGGGG===#"   "X               "
		"======GGGGGG===#"   "X               "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		,End},
	},

	// palette
	{
		15, 32, 16,  0, 
		15, 40, 24,  8, 
		15, 33, 17, 12, 
		15, 32, 38, 15, 

		15, 44, 17, 15, 
		15, 32, 56, 15, 
		15, 48, 21, 15, 
		15, 48, 21, 15, 

		15, 32, 16,  0, 
		15, 44, 28,  7, 
		15, 32, 16,  0, 
		15, 32, 38, 15, 
	},

	// actives
	{
	},

	// enemies
	{
		Enemy( 5, 0x80,0x80, 0x2F ),
		Enemy( 13, 0xE0,0x0C, 0xFF ),
		Enemy( 22, 0x80,0x80, 0x30 ),
	},

	Wily3Ascii, Wily3Char
};

